메인 콘텐츠로 건너뛰기
POST
/
admin
/
returns
/
{id}
/
reject
반품 거절
curl --request POST \
  --url https://api.headlesscommerce.io/v1/admin/returns/{id}/reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "admin_notes": "<string>"
}
'
{
  "id": "<string>",
  "order_id": "<string>",
  "customer_id": "<string>",
  "return_type": "refund",
  "status": "requested",
  "reason": "<string>",
  "reason_category": "defective",
  "customer_notes": "<string>",
  "admin_notes": "<string>",
  "lines": [
    {
      "id": "<string>",
      "order_line_id": "<string>",
      "quantity": 123,
      "reason": "<string>",
      "condition": "<string>",
      "exchange_variant_id": "<string>"
    }
  ],
  "refund": {
    "id": "<string>",
    "order_id": "<string>",
    "amount": {
      "amount": 123,
      "currency": "<string>"
    },
    "reason": "<string>",
    "restock": true,
    "status": "pending",
    "lines": [
      {
        "order_line_id": "<string>",
        "quantity": 123
      }
    ],
    "created_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

경로 매개변수

id
string
필수

Resource ID

본문

application/json
admin_notes
string

응답

200 - application/json

성공

id
string
order_id
string
customer_id
string
return_type
enum<string>
사용 가능한 옵션:
refund,
exchange
status
enum<string>
사용 가능한 옵션:
requested,
approved,
rejected,
received,
completed,
cancelled
reason
string
reason_category
enum<string>
사용 가능한 옵션:
defective,
wrong_item,
changed_mind,
damaged,
other
customer_notes
string
admin_notes
string
lines
object[]
refund
object
created_at
string<date-time>
updated_at
string<date-time>